Subject: [Cbor] 3 small CBOR changes

From: Jeffrey Yasskin <[email-masked]>
Date: Thu, 05 Apr 2018 16:21:32 +0000

https://github.com/cbor-wg/CBORbis/pull/14 removes the duplicate Data
Models section.

https://github.com/cbor-wg/CBORbis/pull/19 fixes an example of Javascript
being unable to distinguish strings from numbers when they're used as map
keys, since the Map type can in fact distinguish those. The new example
uses the integer 1 vs the floating point value 1.0, but even that will be
wrong once https://github.com/tc39/proposal-bigint makes it in, when
typeof(some_int) could be "bigint" in a CBOR library that so chose.

https://github.com/cbor-wg/CBORbis/pull/20/files changes a statement that
depending on map order "would be very bad practice" in protocols using CBOR
to a statement that these protocols "MUST NOT" do that.

Thoughts?

Note that we discussed at IETF101 a policy that the editors can merge a
change 3 weeks after the last list discussion, on the theory that if anyone
objects, they'll say so by then.

Jeffrey